file_flag_write.open("flag1_end.m", ios::out);
file_flag_write << flag1_end << endl;
file_flag_write.close();

file_flag_write.open("flag2_end.m", ios::out);
file_flag_write << flag2_end << endl;
file_flag_write.close();

file_flag_write.open("flag3_end.m", ios::out);
file_flag_write << flag3_end << endl;
file_flag_write.close();

file_flag_write.open("flag4_end.m", ios::out);
file_flag_write << flag4_end << endl;
file_flag_write.close();



